##
##  offlineimap.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_version 6.2.0.2
%define       V_subdir  413

#   package information
Name:         offlineimap
Summary:      Offline IMAP Client
URL:          https://github.com/jgoerzen/offlineimap
Vendor:       John Goerzen
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Mail
License:      GPL
Version:      %{V_version}
Release:      20160305

#   list of sources
Source0:      https://github.com/jgoerzen/offlineimap/archive/debian/%{V_version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, python
PreReq:       OpenPKG, openpkg >= 20160101, python

%description
     With OfflineIMAP, you can read the same mailbox from multiple
     computers. You get a current copy of your messages on each
     computer, and changes you make one place will be visible on all
     other systems. For instance, you can delete a message on your home
     computer, and it will appear deleted on your work computer as well.
     OfflineIMAP is also useful if you want to use a mail reader that
     does not have IMAP support, has poor IMAP support, or does not pro-
     vide disconnected operation.

%track
    prog offlineimap = {
        version   = %{version}
        url       = https://github.com/jgoerzen/offlineimap/releases
        regex     = debian/(\d+\.\d+\.\d+\.\d+)
    }

%prep
    %setup -q -n offlineimap-debian-%{V_version}

%build

%install
    %{l_prefix}/bin/python \
        setup.py install \
            --root=$RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/offlineimap
    %{l_shtool} install -c -m 644 \
        offlineimap.conf $RPM_BUILD_ROOT%{l_prefix}/etc/offlineimap/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/offlineimap/offlineimap.conf'

%files -f files

%clean

